%define	name	qcomicbook
%define	version	0.2.3
%define	release	%mkrel 1
%define summary QComicBook is a viewer for comic book archives
%define group	File tools

Name:		%{name} 
Summary:	%{summary}
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}-%{version}.tar.bz2
URL:		http://linux.bydg.org/~yogin/
Group:		%{group}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	libqt-devel

%description
QComicBook is a viewer for comic book archives containing
jpeg/png images. It aims at convenience and simplicity.

Features include:
- Automatic decompression
- Full screen mode
- Page scaling
- Page preloading and caching
- Mouse or keyboard navigation

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -m644 ./fedora/qcomicbook.png -D $RPM_BUILD_ROOT%{_iconsdir}/qcomicbook.png
# Create other icons
convert ./fedora/qcomicbook.png -resize 48x48 ./qcomicbook-48.png
convert ./fedora/qcomicbook.png -resize 16x16 ./qcomicbook-16.ong
install -m644 ./qcomicbook-48.png -D $RPM_BUILD_ROOT%{_liconsdir}/qcomicbook.png
install -m644 ./qcomicbook-16.ong -D $RPM_BUILD_ROOT%{_miconsdir}/qcomicbook.png
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/qcomicbook" \
                icon="qcomicbook.png" \
                needs="x11" \
                section="Multimedia/Graphics" \
                title="QComicBook" \
                longtitle="QComicBook - a viewer for comic book archives"
EOF
%makeinstall

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%doc AUTHORS README ChangeLog THANKS TODO
%{_iconsdir}/*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}/*
%{_menudir}/*

%changelog
* Sun Jul 10 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.3-1mdk
- New version 0.2.3

* Thu Jul 07 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.2-1mdk
- New version 0.2.2
- Include small and large icons

* Sat May 21 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.1-1mdk
- New version 0.2.1

* Thu Apr 07 2005 Eskild Hustvedt <eskild@mandrake.org> 0.1.7-1mdk
- New version 0.1.7

* Mon Mar 28 2005 Eskild Hustvedt <eskild@mandrake.org> 0.1.5-2mdk
- %%mkrel

* Wed Mar 09 2005  Eskild Hustvedt <eskild@mandrake.com> 0.1.5-1mdk
- Initial Mandrakelinux package
